This folders contains the tests about the window interface. Each file applies one test :

- test_window_creation.cpp : 

	Behaviour :
		-> This test simply launch a window directly (without use the terminal interface). User have to close it manually.

	What must be checked :
		-> Time to display the window (expected result : immediatly)
		-> Position of the window inside the screen (expected result : center on X and Y)
		-> Size of the window (expected result : all the width, and just 600px (around) on the height)
		-> Icon of the window (expected result : the ViTE logo)
		-> Title of the window (expected result : "ViTE")
		-> The application size in the computer memory (expected result : ********)




- test_window_destruction.cpp : 

	Behaviour :
		-> This test launch a window then immediatly destroy it. 

	What must be checked :
		-> The time while window is displayed (expected result : less then 500 ms, normally "a flash")
		-> That the program is also finished when window is closed (expected result : yes) (notice : use the "top" command to determine if it stays as a "zombie")




- test_window_buttonAndMenu.cpp
